Bug 149451 - bzip2 1.0.2 minor zlib compatibility layer bug (missing NULLptr check)
bzip2 1.0.2 minor zlib compatibility layer bug (missing NULLptr check)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bzip2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
http://bugs.gentoo.org/show_bug.cgi?i...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 00:33 EST by Mike Frysinger
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 21:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Frysinger 2005-02-23 00:33:22 EST
just forwarding a bug that we've fixed in Gentoo ...

summary:
BZ2_bzclose fails to perform a NULL pointer check before actually
using the passed BZFILE * argument. The NULL check *is* performed but
only after the argument is used for the first time, resulting in a
potential NULL pointer dereference.

patch:
http://www.gentoo.org/cgi-bin/viewcvs.cgi/*checkout*/app-arch/bzip2/files/bzip2-1.0.2-NULL-ptr-check.patch?rev=1.1
path author: Mihai Limbasan <mihailim@gmail.com>
Comment 1 Ivana Varekova 2005-08-29 10:15:09 EDT
Hello,
thank you for your notic, attached patch was used in the last version of bzip2
(bzip2-1.0.3-1).

Note You need to log in before you can comment on or make changes to this bug.